<p>Računala su danas sveprisutna i dolaze u različitim pojavnim oblicima. Prvo što će većini pasti na pamet kada kažemo računalo jest stolno računalo ili prijenosno računalo: uređaj koji smo ciljano kupili kako bismo pretraživali web, koristili višemedijske sadržaje, pregledavali, stvarali i uređivali dokumente, programirali ili se jednostavno igrali.</p>

<p>No računala su puno raširenija od toga: mobilni uređaji koje danas koristimo također su računala. Računala su i tableti, phableti i njihovi srodnici. Računala se nalaze i u automobilima gdje upravljaju različitim funkcionalnostima vozila, u mnogoj potrošačkoj elektronici poput digitalnih kamera i fotoaparata, u uređajima za reprodukciju CD-a i DVD-a, u satelitskim prijemnicima itd.</p>

<p>Osnovna struktura računala prikazana je na slici 1.</p>

<figure class="mlFigure">
<img src="@#file#(mpsustav.svg)" alt="Osnovna struktura računala prikazana"><br>
<figcaption><span class="mlFigKey">Slika 1.</span> Osnovna struktura računala prikazana</figcaption>
</figure>

<p>Osnovne komponente svakog računala su:</p>
<ul>
<li><em>Centralni procesor</em> (engl. <i>Central Processor Unit</i>, kratica CPU),</li>
<li><em>memorija</em>,</li>
<li><em>ulazno-izlazne naprave</em> te</li>
<li><em>sabirnice</em> (engl. <i>bus</i>).</li>
</ul>

<p>Centralni procesor je mozak računala: njegova je zadaća dohvat instrukcija i podataka
   iz memorije, provođenje obrade podataka u skladu s dohvaćenim instrukcijama te pohrana
   rezultata u memoriju. Centralni procesor može komunicirati i s ulazno/izlaznim napravama
   te pokretati slanje i primanje podataka.</p>

<p>Memorija služi za pohranu instrukcija koje definiraju program koji procesor izvodi te
   za pohranu podataka nad kojima se provodi obrada. Ovisno o arhitekturi procesora, postoje
   izvedbe koje očekuju da se program čuva u zasebnoj memoriji a podatci u zasebnoj
   (takozvana Harvardska arhitektura) te izvedbe koje instrukcije i podatke čuvaju u istoj
   memoriji (takozvana Von Neumannova arhitektura).</p>

<p>Ulazno-izlazne naprave omogućavaju komunikaciju između računalnog sustava i okoline.
   Postoji mnoštvo različitih ulazno-izlaznih naprava: od onih koje proširuju memorijski
   prostor kojim računalo raspolaže (različite izvedbe diskova, CD/DVD uređaja i slično),
   preko onih koje služe komunikaciji s korisnikom (poput monitora, tipkovnica, miševa,
   upravljačkih konzola za igre i slično), do različitih specijaliziranih naprava, poput
   analogno-digitalnih pretvornika koji čine jezgru mnoštva senzora (mjerila temperature,
   vlage, tlaka, akceleracije, jakosti električkih i magnetskih polja, osvjetljenja i 
   slično).</p>

<p>Konačno, da bismo sve te komponente mogli povezati, potrebne su <em>sabirnice</em>. 
   Jezgru računalnog sustava čine <em>upravljačka</em>, <em>podatkovna</em> 
   i <em>adresna sabirnica</em> na koju su spojeni procesor,
   memorija i neki ulazno/izlazni uređaji. Kroz upravljačku sabirnicu procesor šalje signale
   kojima koordinira rad ostalih dijelova računalnog sustava. Kroz adresnu sabirnicu procesor
   šalje adresu memorijske lokacije s koje je potrebno obaviti određenu operaciju (čitanja
   podatka ili zapisivanja podatka). U najjednostavnijem scenariju, prethodne dvije sabirnice
   su jednosmjerne (procesor generira signale, memorija i ulazno/izlazne naprave ih "slušaju");
   u složenijim scenarijima, iste (ili dijelovi) mogu biti dvosmjerni. Podatkovna sabirnica
   služi za prijenos podataka i ona tipično jest dvosmjerna, čak i u najjednostavnijim
   scenarijima. Naime, pri operacijama zapisivanja podataka, procesor će na podatkovnu sabirnicu
   postaviti podatak a memorija ili ulazno/izlazna naprava će ga pročitati. Pri operacijama
   čitanja podataka, memorija ili ulazno/izlazna naprava će na podatkovnu sabirnicu postaviti
   podatak, a procesor će ga pročitati. Da bi podatci mogli putovati u oba smjera, bit će
   potrebno povesti računa o implementaciji sklopovlja koje će to podržati.</p>

